#include <bits/stdc++.h>
#define ll long long
using namespace std;
bool sang(ll x)
{
    ll d=0;
    for(ll i=1;i*i<=x;i++)
    {
        if(x%i==0)
        {
            d+=i;
            if(i*i!=x)
                d+=x/i;
        }
    }
    return d-x>x;
}
ll n,a,ans=0;
int main()
{
    ios_base::sync_with_stdio(0);
    cin.tie(0);cout.tie(0);
    freopen("TIHON.INP","r",stdin);
    freopen("TIHON.OUT","w",stdout);
    cin>>n;
    for(int i=1;i<=n;i++)
        {
            cin>>a;
            if(sang(a))
                ans++;
        }
    cout<<ans;
    return 0;
}
